#include <bits/stdc++.h>

using namespace std;

map<int,int> x;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long n,br=0;
    cin>>n;
    long long y[n];
    for(long long i=0;i<n;i++){
        long long k;
        cin>>k;k--;
        x[k]++;
    }
    //for(long long i=0;i<n;i++){
    //    cerr<<x[i]<<" ";
    //}
    //cerr<<endl<<endl;
    for(long long i=0;i<n;i++){
        cin>>y[i];y[i]--;
    }
    for(long long i=0;i<n;i++){
        long long z;
        cin>>z;z--;
        //cerr<<"z = "<<z<<", y[z]= "<<y[z]<<", x[y[z]]= "<<x[y[z]]<<endl;
        br+=x[y[z]];
    }
    cout<<br<<"\n";
    return 0;
}